Operations
Dispatch a read operation
Calls a documented read operation by ID. Send its input object directly or wrapped as { "input": ... }.
POST
https://api.join.tl
/
api
/
v1
/
operations
/
{operationId}
Dispatch a read operation
curl --request POST \
--url https://api.join.tl/api/v1/operations/{operationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.join.tl/api/v1/operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.join.tl/api/v1/operations/{operationId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": "<unknown>",
"requestId": "<string>"
}{
"error": {
"code": "invalid-external-operation-input",
"message": "The operation input is invalid."
},
"requestId": "request_example_400"
}{
"error": {
"code": "not-authenticated",
"message": "Authentication is required."
},
"requestId": "request_example_401"
}{
"error": {
"code": "not-authorized",
"message": "You are not allowed to perform this action."
},
"requestId": "request_example_403"
}{
"error": {
"code": "not-found",
"message": "The requested record was not found."
},
"requestId": "request_example_404"
}{
"error": {
"code": "external-action-conflict",
"message": "The action conflicts with current state."
},
"requestId": "request_example_409"
}{
"error": {
"code": "request-too-large",
"message": "The request body is too large."
},
"requestId": "request_example_413"
}{
"error": {
"code": "too-many-requests",
"message": "Too many requests."
},
"requestId": "request_example_429"
}{
"error": {
"code": "internal-error",
"message": "The request could not be completed."
},
"requestId": "request_example_500"
}{
"error": {
"code": "temporarily-unavailable",
"message": "The service is temporarily unavailable."
},
"requestId": "request_example_503"
}Authorizations
JointlOAuthJointlApiKey
OAuth access token issued for the REST resource.
Path Parameters
Body
application/json
The body is of type object.
⌘I
Dispatch a read operation
curl --request POST \
--url https://api.join.tl/api/v1/operations/{operationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.join.tl/api/v1/operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.join.tl/api/v1/operations/{operationId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": "<unknown>",
"requestId": "<string>"
}{
"error": {
"code": "invalid-external-operation-input",
"message": "The operation input is invalid."
},
"requestId": "request_example_400"
}{
"error": {
"code": "not-authenticated",
"message": "Authentication is required."
},
"requestId": "request_example_401"
}{
"error": {
"code": "not-authorized",
"message": "You are not allowed to perform this action."
},
"requestId": "request_example_403"
}{
"error": {
"code": "not-found",
"message": "The requested record was not found."
},
"requestId": "request_example_404"
}{
"error": {
"code": "external-action-conflict",
"message": "The action conflicts with current state."
},
"requestId": "request_example_409"
}{
"error": {
"code": "request-too-large",
"message": "The request body is too large."
},
"requestId": "request_example_413"
}{
"error": {
"code": "too-many-requests",
"message": "Too many requests."
},
"requestId": "request_example_429"
}{
"error": {
"code": "internal-error",
"message": "The request could not be completed."
},
"requestId": "request_example_500"
}{
"error": {
"code": "temporarily-unavailable",
"message": "The service is temporarily unavailable."
},
"requestId": "request_example_503"
}